Instalar Alien sin Synaptic

Imagen de AnyKiller
0 puntos

Hola.

En la configuración de mi ubuntu (y concretamente intentando hacer rular un Winmodem)  me encuentro conque encesito descomprimir un archivo deb, y al parecer no tengo el alien. Necesito urgentemente saber de dónde descargarlo y cómo sería su instalación, y no puienso bajarme una ISO de 700 megas apra tan solo un mísero programa.

 

PD: Entiéndase que estoy un poco quemado con el tema... me he tirado meses para poder instalarlo sin fallos y aún no tengo conexión a internet por ese maldito detalle y mi p*** winmodem de m*** Alcatel Speedtouch 330

Imagen de cnicolas
+1
0
-1

Hola, los paquetes deb no los tienes que descomprimir si no instalar, para ello debes hacer

sudo dpkg -i <paquete>.deb

 Alien sirve para transformar .rpm en .deb asi que no te van a hacer nada en este paquete.

Te añado la direcion de la guia-ubuntu donde te lo explican más claramente

http://www.guia-ubuntu.org/index.php?title=Añadir_aplicaciones 

 

+1
0
-1
Imagen de AnyKiller
+1
0
-1

No me ha servido... me ha dado un error

 


sudo dpkg -i br2684ctl_20040226-1_i386.deb

Seleccionando el paquete br2684ctl previamente no seleccionado.
(Leyendo la base de datos ... 
88399 ficheros y directorios instalados actualmente.)
Desempaquetando br2684ctl (de br2684ctl_20040226-1_i386.deb) ...
dpkg: problemas de dependencias impiden la configuración de br2684ctl:
 br2684ctl depende de libatm1; sin embargo:
  El paquete `libatm1' no está instalado.
dpkg: error al procesar br2684ctl (--install):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 br2684ctl


 

Estoy desesperado por poder hacer funcionar el maldito winmodem... y si algún listillo me va a decir que me apañe un router, que él mismo me lo compre y me lo envíe sin gasto alguno, porque dinero no hay 

+1
0
-1
Imagen de AnyKiller
+1
0
-1

Nada, la cosa es que he probado ya 3 formas diferentes de intentar hacer funcionar el Thompson Speedtouch 330 y o me da un error o simplemente no sirve para nada... he consultado varias guías y ninguna vale para nada.

¿Alguien sabe de alguna guía que sirva de verdad? 

+1
0
-1
Imagen de Cristobal López
+1
0
-1

No se que habrás mirado o hecho pero con una simple búsqueda en google sale el siguiente enlace:

http://crislosi.wordpress.com/2006/12/30/instalar-modem-speedtouch330-de...

Es la forma fácil de instalar el modem, descomprimes, ejecutas el script, reinicias el ordenador y ya tienes internet.

La solución estaba en uno de los posts que puse en mi bitácora dentro de este foro.

Por cierto, si tu problema es el modem habría sido mejor cambiar el titulo de tu post por "Problemas modem speedtouch 330" y me habría dado cuenta antes ;-)

Saludos :-)

 P.D. Te aconsejo que antes de instalar el script vuelvas a instalar ubuntu desde cero porque igual no te funciona si has hecho muchas cosas antes para tener internet.

Si no hay nada de lo que has hecho antes para instalar internet no hace falta que borres nada. 

 

<a href = http://crislosi.wordpress.com>MiBlog </a>

+1
0
-1
Imagen de AnyKiller
+1
0
-1

Hola, Cristóbal.

Ese enlace ya lo ví y de hecho lo probé, pero extrañamente no dieron los resultados esperados.

Sobre el post, es que empezó por el tema del alien, pero creo que lo cambiaré para ayudar en las búsquedas... de todas formas os adelanto que... ¡¡¡¡¡estoy posteando desde Ubuntu!!!!! Y todo gracias sobre todo a tu post haciendo algunas correcciones de la guía ^_^

Se me nota muy contento, ¿no? jejeje 

+1
0
-1
Imagen de Oki4free
+1
0
-1

Buenas Ami Killer,

Creo que debes resolver las dependencias incumplidas (como superusuario) con el comando:

sudo apt-get install -f

Esto te resolverá las dependencias e instalará el paquete que quedó desempaquetado (si no te funciona no te enfades conmigo porfavor, a veces a mi tampoco me funciona y no entiendo porque... pero buscando encuentro). Si no te funciona hay mas caminos, cuentanos como te va.

También te diría lo del router o del modem, pero si no me permites el chiste te respeto ;-)

Un saludo

 

Linux user #448336

Ubuntu user # 14082

+1
0
-1
Imagen de AnyKiller
+1
0
-1

Pues simplemente no me ha servido. Tendré que resignarme a seguir en Windows, ya que un linux sin conexión... y lo he probado todo, pero es completamente imposible

+1
0
-1
Imagen de Goyo
+1
0
-1

SI te falta algún paquete del que depende tu programa tienes que descargarlo de http://packages.ubuntu.com e instalarlo previamente, en este caso libatm1.

Si el árbol de dependencias es complicado este proceso puede ser muy laborioso (por ejemplo, al instalar libatm1 podrías encontrar que a su vez depende de otro paquete que también tendrías que descargar por separado e instalar, etc), pero no creo que sea el caso.

Por otro lado tal vez tendrías más éxito si leyeras la documentación con más atención. Por ejemplo, no necesitas alien para instalar paquetes .deb y tu módem, que a veces es Alcatel y otras veces Thomson, no es un winmodem en ningún caso. Si te has equivocado en eso es muy posible que te hayas equivocado en más cosas. Como no sé qué documentación estás usando no puedo ser más específico.

En cuanto a lo del router y "no hay dinero", no necesariamente hay relación. Instalar un módem USB en Linux puede ser muy trabajoso, empleando esa energía y ese tiempo en conseguir algo de dinero tal vez podrías conseguir bastante para comprar un router y aún te sobraría para una caña con pincho. También debes tener en cuenta que tu proveedor te está dando un mal servicio al no proporcionarte un dispositivo que pueda usarse fácilmente en cualquier sistema operativo. Puede que los términos del servicio que aceptaste sean esos (o puede que no, a veces pasa) pero no deja de ser un mal servicio y eso podría ser un motivo para cambiar de proveedor. Si se lo explicas así a ellos tal vez se animen a cambiarte el modem por un modem-router gratis, no serías el primero que lo consigue. Y si no también puedes cambiar realmente de proveedor, muchos te darán un modem-router,seguramente no te cobrarán más que el actual ni te darán peor servicio y hasta te podrías beneficiar de alguna oferta para nuevos clientes.

"No puedo usar un router porque no tengo dinero" es una respuesta muy poco imaginativa a tu problema.

+1
0
-1
Imagen de AnyKiller
+1
0
-1

"En cuanto a lo del router y "no hay dinero", no necesariamente hay relación. Instalar un módem USB en Linux puede ser muy trabajoso, empleando esa energía y ese tiempo en conseguir algo de dinero tal vez podrías conseguir bastante para comprar un router y aún te sobraría para una caña con pincho."

La cosa es que llevo 3 años buscando empleo, y no me llaman ni para cargar camiones.

Y sí, me he quejado repetidamente a mi familia que los de Timofónica nos han dado el peor modem posible, pero no siendo yo el titular de la línea y a él le importa poco proque está a gusto con windows, pues poco puedo hacer, ¿no crees? Y créeme que eso de llamar y comentarles así a los de Timofónica lo he pensado de verdad, pero habiendo escarmentado de otras operadoras, ésta es la que ha sido la más fiable

+1
0
-1
Imagen de Oki4free
+1
0
-1

Pues simplemente te digo 6 cosas:

1) En la primera respuesta ya te dijeron que no necesitas Alien para los paquetes .deb porque sirve precisamente para todo lo contrario (pasan .rpm para otras distros a .deb para las basadas en debian como ubuntu, suse, etc...)

2) Las guias sirven para mucho: para que otros las leamos y podamos ayudarte... pero no debería ser solo así !! no crees ???

3) No me haces ni caso a mi respuesta (y a la de los demás tampoco); te di una posible solucion y solo me dices que no te va; te ofrecí más soluciones ("Si no te funciona hay mas caminos, cuentanos como te va") y parece que no te interesan; te respondí en otros hilos y no me respondes... Ahora pregunto yo: ¿¿ para que preguntas ??

4) Dices que "Lo he probado todo pero es completamente imposible" pero yo diría que crees que lo has probado todo pero has probado cosas incorrectas y ya te parece imposible.

5) Estoy totalmente de acuerdo con lo que te dice Goyo.

 

6) Por otro lado te aconsejo que hagas la consulta de tu problema concreto: algo así como "Problemas para hacer funcionar modem *marca/modelo*". Si queda alguien con ganas de ayudarte y que tenga la respuesta (esto es muy importante) seguro que adelantas más que enfadandote/nos...

 

-----------------------------------------------

Usuario Linux # 448336

Usuario Ubuntu # 14082

+1
0
-1
Imagen de joseluis
+1
0
-1

¿Has leido los enlaces que Cristobal dejó aqui?

Si los has leido, ¿has intentado hacer lo que pone?

Si lo has intentado, ¿en qué paso te ha fallado?

Si alguna de las respuestas anteriores es no te recomiendo que lo leas con atención e intentes seguir sus pasos, tal vez así puedas conseguir algún resultado positivo.


Lectura obligada:
+1
0
-1

Imagen de AnyKiller
+1
0
-1

joseluis, ese manual fue precisamente lo primero que probé, y precisamente me salió el problema de que no tenía instalado el alien. Probé con la otra instrucción que me comentaron y simplemente me salió los problemas de dependencia, que con la otra sugerencia solo me lo deshizo y no se instaló (no resolvió las dependencias).

Aunque no haya respondido a todo, he probado absolutamente todo lo que me habéis comentado sin resultados satisfactorios

Y sé exactamente el modelo que tengo: Alcatel Speedtouch 330, y versión 4 para una conexión PPoE de Timofónica.

De todas formas, me leeré otra vez las respuestas y las repasaré (antes lo hice con mucha atención y copiándolo todo en un archivo ODT para leerlo tranquilamente offline). Admito que me he mostrado un poco desquiciado, pero es porque he estado toda la tarde probando mil cosas y no ha servidode nada. No sé si es que me he olvidado de algo o que simplemente soy un Expediente X. Estoy frustrado, porque además soy el único de mi familia que quiere instalarse otro SO aparte del XP.

Tengan en cuenta que soy un novato, que antes he manejado un live CD de Knoppix y alguna vez un Mandrake (ahora Mandriva), pero en ningún caso ha sido en profundidad.

De todas formas, gracias por sus sugerencias y por aguantar a este desquiciado, ya os contaré si cambia algo o si sigue todo igual.

+1
0
-1
Imagen de AnyKiller
+1
0
-1

Bueno, he podido instalar el paquete br2684ctl gracias a que instalé la dependencia que instalaba (era el libatm, tal y como dijo otro colega) pero ahora, revisando el post de Cristóbal, estoy atrancado intentando compilar el archivo firmware.c (ya que, qué casualidad, no tengo el archivo firmware-extractor y hay que compilarlo), y que me sale algo así como

bash$: no se encontró la instrucción o no se encontró el comando.

¿Es posible que me falte por instalar otras cosas? Investigaré mientras tanto. Gracias por la atención y ya pondré el error exacto, se me olvidó copiarlo

+1
0
-1
Imagen de joseluis
+1
0
-1

Si no me equivoco el firmware-extractor lo puedes obtener de aqui (es un binario, es decir un ejecutable) y si ese no te sirve puedes obtener el código fuente de aqui pero en ese caso tendrás que compilarlo. Para compilarlo tendrás que instalar build-essential (junto a sus dependencias).


Lectura obligada:
+1
0
-1

Imagen de AnyKiller
+1
0
-1

Ya decía yo... me había bajado el código fuente

Gracias. Espero que ésta sea la definitiva

+1
0
-1
Imagen de AnyKiller
+1
0
-1

Bueno, después de tanta guerra, ¡al fin estoy aquí desde ubuntu! 

Muchísimas gracias por la ayuda prestada, y os pido un millón de disculpas por haberme puesto tan agresivo en algunos posts, pero es que llevaba meses intentándolo sin pedir ayuda, a base de buscar y buscar. Ha sido abrir la boca y me habéis ayudado a conseguirlo, a pesar de que no lo pedí de una manera para nada correcta . Admito que yo me habría mandado al cuerno de primeras.

Espero poder compensarlo tratando de ayudar un poco por aquí (aparte de que estoy pensando en hacer una guía detallada y completita de cómo conectarse con el condenado Speedtouch)

Un saludo

+1
0
-1